<?php

namespace App\Classes\Modules\PerfexCRM\DataTransferObjects;

use Illuminate\Http\Request;
use App\Classes\General\Interfaces\DataTransferObject;

class CustomerContactObject implements DataTransferObject
{
    /** @var int */
    private $customerId;

    /** @var string */
    private $firstname;

    /** @var string */
    private $lastname;

    /** @var string  */
    private $email;

    /** @var string */
    private $password;

    /** @var string */
    private $isPrimary;

    /** @var string */
    private $sendSetPasswordEmail;


    public function __construct(string $customerId, string $firstname, string $lastname, string $email, string $password, string $isPrimary, string $sendSetPasswordEmail)
    {

        $this->customerId = $customerId;
        $this->firstname = $firstname;
        $this->lastname = $lastname;
        $this->email = $email;
        $this->password = $password;
        $this->isPrimary = $isPrimary;
        $this->sendSetPasswordEmail = $sendSetPasswordEmail;
    }

    /**
     * @return int
     */
    public function getCustomerId(): int
    {
        return $this->customerId;
    }

    /**
     * @return string
     */
    public function getFirstName(): string
    {
        return $this->firstname;
    }

     /**
     * @return string
     */
    public function getLastName(): string
    {
        return $this->lastname;
    }

    /**
     * @return string
     */
    public function getEmail(): string
    {
        return $this->email;
    }

    /**
     * @return string
     */
    public function getPassword(): string
    {
        return $this->password;
    }

    /**
     * @return string
     */
    public function getIsPrimary(): string
    {
        return $this->isPrimary;
    }

    /**
     * @return string
     */
    public function getSendSetPasswordEmail(): string
    {
        return $this->sendSetPasswordEmail;
    }
}
